var objFile = document.getElementById("objFile");
var convertBtn = document.getElementById("convertBtn");
var canvas = document.getElementById("canvas");

var scene = new THREE.Scene();
var camera = new THREE.PerspectiveCamera(75, window.innerWidth / window.innerHeight, 0.1, 1000);
var renderer = new THREE.WebGLRenderer();
renderer.setSize(window.innerWidth, 600);
canvas.appendChild(renderer.domElement);

var objLoader = new THREE.OBJLoader();
var fbxLoader = new THREE.FBXLoader();

objFile.addEventListener("change", function() {
   var file = this.files[0];
   var reader = new FileReader();
   reader.onload = function() {
      var result = reader.result;
      var object = objLoader.parse(result);
      scene.add(object);
      convertBtn.disabled = false;
   };
   reader.readAsText(file);
});

convertBtn.addEventListener("click", function() {
   var output = fbxLoader.parse(scene);
   var blob = new Blob([output], {type: "application/octet-stream"});
   var url = URL.createObjectURL(blob);
   var link = document.createElement("a");
   link.href = url;
   link.download = "output.fbx";
   link.click();
});

camera.position.z = 5;

function animate() {
   requestAnimationFrame(animate);
   renderer.render(scene, camera);
}
animate();
